Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Customer

    java.lang.Object
      com.ibm.able.examples.rules.Customer

All Implemented Interfaces:
  java.io.Serializable

public class Customer
extends java.lang.Object
implements java.io.Serializable

A customer has a name, age, and nationality.

See Also:
  Serialized Form

Field Summary
`static int` | `GOLD`
`static int` | `PLATINUM`
`static int` | `SILVER`

Constructor Summary
`Customer()`
`Customer(java.lang.String name, int age, double income, int level)`
`Customer(java.lang.String name, int age, java.lang.String nationality)`
`Customer(java.lang.String name, int age, java.lang.String nationality, double income)`

Method Summary
`int` | `getAge()`
`double` | `getIncome()`
`int` | `getLevel()`
`static java.lang.String` | `getLevel(int level)`
`static int` | `getLevel(java.lang.String level)`
`java.lang.String` | `getName()`
`java.lang.String` | `getNationality()`
`void` | `setAge(int age)`
`void` | `setIncome(double income)`
`void` | `setLevel(int level)`
`void` | `setName(java.lang.String name)`
`void` | `setNationality(java.lang.String nationality)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SILVER

    public static final int SILVER

See Also:
  Constant Field Values

### GOLD

    public static final int GOLD

See Also:
  Constant Field Values

### PLATINUM

    public static final int PLATINUM

See Also:
  Constant Field Values

Constructor Detail

### Customer

    public Customer()

### Customer

    public Customer(java.lang.String name,
                    int age,
                    java.lang.String nationality)

### Customer

    public Customer(java.lang.String name,
                    int age,
                    java.lang.String nationality,
                    double income)

### Customer

    public Customer(java.lang.String name,
                    int age,
                    double income,
                    int level)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAge

    public int getAge()

### setAge

    public void setAge(int age)

### getNationality

    public java.lang.String getNationality()

### setNationality

    public void setNationality(java.lang.String nationality)

### getIncome

    public double getIncome()

### setIncome

    public void setIncome(double income)

### setLevel

    public void setLevel(int level)

### getLevel

    public int getLevel()

### getLevel

    public static int getLevel(java.lang.String level)

### getLevel

    public static java.lang.String getLevel(int level)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005